//---------------------------------------------------------------------
//(16x16Dot)LED Game for AVR  by Takuya Matsubara / NICO Corp. 2006-2007
// http://www.nico.to/avr/
//
//---------------------------------------------------------------------
#include <avr/io.h>
#include "led.h"
#include "sw.h"

extern char row;


void wait(int j)
{
	int i;
	while(j--){
		for(i=0;i<20000;i++);
	}
}

void led_all(char col)
{
	int x,y;

	for(y=0; y<16; y++){
		for(x=0; x<16; x++){
			led_pset(x,y,col);
		}
	}
}

//---------------------------------------------------------------------
// C
int main(void)
{
	int cnt;

	sw_init(SW_ALL);
	led_init();				// LED

	while(1){
		led_all(1);	//S

//		// 1shCu
//		row=0;
//		led_disp();		// LEDʍXV
//		wait(200);


		// 16sԂɃhCu
		for(cnt=0; cnt<30000; cnt++){
			led_disp();		// LEDʍXV
		}
	}
}


